Browse code

Fix several very minor consistency issues

Signed-off-by: Andrew "Tianon" Page <admwiggin@gmail.com>

Tianon Gravi authored on 2015/03/18 12:17:28
Showing 6 changed files
... ...
@@ -14,6 +14,7 @@ go build \
14 14
 		-extldflags \"$EXTLDFLAGS_STATIC\"
15 15
 	" \
16 16
 	./dockerinit
17
+
17 18
 echo "Created binary: $DEST/dockerinit-$VERSION"
18 19
 ln -sf "dockerinit-$VERSION" "$DEST/dockerinit"
19 20
 
... ...
@@ -4,6 +4,7 @@ set -e
4 4
 IAMSTATIC="true"
5 5
 source "$(dirname "$BASH_SOURCE")/.go-autogen"
6 6
 
7
+# dockerinit still needs to be a static binary, even if docker is dynamic
7 8
 go build --compiler=gccgo \
8 9
 	-o "$DEST/dockerinit-$VERSION" \
9 10
 	"${BUILDFLAGS[@]}" \
... ...
@@ -2,7 +2,7 @@
2 2
 
3 3
 # see test-integration-cli for example usage of this script
4 4
 
5
-export PATH="$DEST/../binary:$DEST/../dynbinary:$DEST/../gccgo:$PATH"
5
+export PATH="$DEST/../binary:$DEST/../dynbinary:$DEST/../gccgo:$DEST/../dyngccgo:$PATH"
6 6
 
7 7
 if ! command -v docker &> /dev/null; then
8 8
 	echo >&2 'error: binary or dynbinary must be run before .integration-daemon-start'
9 9
old mode 100755
10 10
new mode 100644
... ...
@@ -21,6 +21,7 @@ go build \
21 21
 		$LDFLAGS_STATIC_DOCKER
22 22
 	" \
23 23
 	./docker
24
+
24 25
 echo "Created binary: $DEST/$BINARY_FULLNAME"
25 26
 ln -sf "$BINARY_FULLNAME" "$DEST/docker$BINARY_EXTENSION"
26 27
 
... ...
@@ -1,5 +1,5 @@
1 1
 #!/bin/bash
2
-set -e 
2
+set -e
3 3
 
4 4
 DEST=$1
5 5
 
6 6
old mode 100755
7 7
new mode 100644
... ...
@@ -8,10 +8,10 @@ BINARY_FULLNAME="$BINARY_NAME$BINARY_EXTENSION"
8 8
 
9 9
 source "$(dirname "$BASH_SOURCE")/.go-autogen"
10 10
 
11
-go build --compiler=gccgo \
11
+go build -compiler=gccgo \
12 12
 	-o "$DEST/$BINARY_FULLNAME" \
13 13
 	"${BUILDFLAGS[@]}" \
14
-	--gccgoflags "
14
+	-gccgoflags "
15 15
 		-g
16 16
 		$EXTLDFLAGS_STATIC_DOCKER
17 17
 		-Wl,--no-export-dynamic
... ...
@@ -19,7 +19,6 @@ go build --compiler=gccgo \
19 19
 	" \
20 20
 	./docker
21 21
 
22
-
23 22
 echo "Created binary: $DEST/$BINARY_FULLNAME"
24 23
 ln -sf "$BINARY_FULLNAME" "$DEST/docker$BINARY_EXTENSION"
25 24